Rj Editor (Error using System R)

Everything related to the development of modules in jamovi

by Vit » Tue Apr 23, 2019 6:09 am

jmvcore is 0.9.6.4 installed via RStudio. Even after a fresh install no change.
Vit
 
Posts: 7
Joined: Fri Apr 19, 2019 11:51 am

by SvenHeimbuch » Thu Jul 18, 2019 7:34 am

I'm also having issues in using System R with Rj Editor. I'm have jamovi 1.0.4 flatpak (Arch Linux) and R 3.6.1 running on my machine.

When I try to switch from jamovi R to System R, I'm getting this:
Code: Select all
R

To use the system R from jamovi, jmvconnect must be installed

Debug

Error: To use the system R from jamovi, jmvconnect must be installed

private$.run()
stop(message, call. = FALSE)

jmvconnect 1.0.8 is installed (and reinstalled multiple times...) and this is what I get when I try to access spreadsheet data from RStudio when I have a running jamovi instance open:
Code: Select all
library(jmvconnect)
> read()
Error in if (is_http) { : argument is of length zero
> what()
Error in if (is_http) { : argument is of length zero

Any ideas? Any more input required to debug?
User avatar
SvenHeimbuch
 
Posts: 5
Joined: Fri Dec 14, 2018 12:37 pm

by jonathon » Thu Jul 18, 2019 8:32 am

hi sven,

hmm, looks like an error in the httr package ... but no idea why. however, there are complications with using the system R with Rj under linux, due to the sandboxing. but you should still be able to achieve what you want. take a look here:

viewtopic.php?f=6&t=698&p=2466#p2466

come back to us if you get stuck

cheers

jonathon
User avatar
jonathon
 
Posts: 873
Joined: Fri Jan 27, 2017 10:04 am

Previous

Return to Module development

cron